Skip to content

Report a file upload complete

Request

Notify Wisedocs that a file has been uploaded to its presigned putUrl so validation and processing can begin.

The call is idempotent. If a file fails validation (INVALID), re-upload the file to its putUrl with the required headers and call this endpoint again.

Security
oauth2ClientCredentials(Required scopes: files:write) and apiKeyAuth
Path
caseUuidstring, (uuid)required

Case UUID.

fileUuidstring, (uuid)required

File UUID.

Bodyapplication/jsonrequired
statusstringrequired

UPLOADED once the file has been uploaded to its putUrl.

Value:"UPLOADED"
Example:"UPLOADED"
curl -i -X PATCH \
  'https://docs.wisedocs.ai/_mock/api/openapi/api/v1/cases/{caseUuid}/files/{fileUuid}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY_HERE' \
  -d '{
    "status": "UPLOADED"
  }'

Responses

Upload reported, or already reported before.

Bodyapplication/json
dataobjectrequired
statusstringrequired
Example:"success"
Response
{ "data": { "fileUuid": "323e4567-e89b-12d3-a456-426614174000", "caseUuid": "123e4567-e89b-12d3-a456-426614174000", "status": "PENDING_VALIDATE" }, "status": "success" }